import { Injectable, Logger } from '@nestjs/common';

@Injectable()
export class EmailService {
  private readonly logger = new Logger(EmailService.name);

  async send(to: string, subject: string, content: string): Promise<void> {
    this.logger.log(`Mock send email to ${to} subject=${subject}`);
  }
}
